package com.gh.gamecenter.login

import android.app.Application
import android.content.res.Configuration
import com.gh.gamecenter.core.iinterface.IApplication
import com.google.auto.service.AutoService

@AutoService(IApplication::class)
class HaloApp : IApplication {

    override fun attachBaseContext() {
        // Do nothing
    }

    override fun onCreate(application: Application) {
        mApp = application
    }


    override fun onLowMemory() {
        // Do nothing
    }

    override fun onTerminate() {
        // Do nothing
    }

    override fun onTrimMemory(level: Int) {
        // Do nothing
    }

    override fun onConfigurationChanged(newConfig: Configuration) {
        // Do nothing
    }

    companion object {
        private lateinit var mApp: Application

        @JvmStatic
        fun getInstance(): Application {
            return mApp
        }
    }
}